/*
Copyright 2008-2016 Thomas Paviot (tpaviot@gmail.com)


This file is part of pythonOCC.
pythonOCC is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

pythonOCC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with pythonOCC.  If not, see <http://www.gnu.org/licenses/>.

*/
%{
#include<TopoDSToStep_Builder.hxx>
#include<TopoDSToStep_BuilderError.hxx>
#include<TopoDSToStep_FacetedError.hxx>
#include<TopoDSToStep_FacetedTool.hxx>
#include<TopoDSToStep_MakeBrepWithVoids.hxx>
#include<TopoDSToStep_MakeEdgeError.hxx>
#include<TopoDSToStep_MakeFaceError.hxx>
#include<TopoDSToStep_MakeFacetedBrep.hxx>
#include<TopoDSToStep_MakeFacetedBrepAndBrepWithVoids.hxx>
#include<TopoDSToStep_MakeGeometricCurveSet.hxx>
#include<TopoDSToStep_MakeManifoldSolidBrep.hxx>
#include<TopoDSToStep_MakeShellBasedSurfaceModel.hxx>
#include<TopoDSToStep_MakeStepEdge.hxx>
#include<TopoDSToStep_MakeStepFace.hxx>
#include<TopoDSToStep_MakeStepVertex.hxx>
#include<TopoDSToStep_MakeStepWire.hxx>
#include<TopoDSToStep_MakeVertexError.hxx>
#include<TopoDSToStep_MakeWireError.hxx>
#include<TopoDSToStep_Root.hxx>
#include<TopoDSToStep_Tool.hxx>
#include<TopoDSToStep_WireframeBuilder.hxx>
#include<TopoDSToStep.hxx>
#include<TCollection.hxx>
#include<TCollection_AsciiString.hxx>
#include<TCollection_BaseSequence.hxx>
#include<TCollection_BasicMap.hxx>
#include<TCollection_BasicMapIterator.hxx>
#include<TCollection_CompareOfInteger.hxx>
#include<TCollection_CompareOfReal.hxx>
#include<TCollection_ExtendedString.hxx>
#include<TCollection_HAsciiString.hxx>
#include<TCollection_HExtendedString.hxx>
#include<TCollection_MapNode.hxx>
#include<TCollection_MapNodePtr.hxx>
#include<TCollection_PrivCompareOfInteger.hxx>
#include<TCollection_PrivCompareOfReal.hxx>
#include<TCollection_SeqNode.hxx>
#include<TCollection_SeqNodePtr.hxx>
#include<TCollection_Side.hxx>
#include<TopoDS.hxx>
#include<TopoDS_Builder.hxx>
#include<TopoDS_Compound.hxx>
#include<TopoDS_CompSolid.hxx>
#include<TopoDS_Edge.hxx>
#include<TopoDS_Face.hxx>
#include<TopoDS_FrozenShape.hxx>
#include<TopoDS_HShape.hxx>
#include<TopoDS_Iterator.hxx>
#include<TopoDS_ListIteratorOfListOfShape.hxx>
#include<TopoDS_ListNodeOfListOfShape.hxx>
#include<TopoDS_ListOfShape.hxx>
#include<TopoDS_LockedShape.hxx>
#include<TopoDS_Shape.hxx>
#include<TopoDS_Shell.hxx>
#include<TopoDS_Solid.hxx>
#include<TopoDS_TCompound.hxx>
#include<TopoDS_TCompSolid.hxx>
#include<TopoDS_TEdge.hxx>
#include<TopoDS_TFace.hxx>
#include<TopoDS_TShape.hxx>
#include<TopoDS_TShell.hxx>
#include<TopoDS_TSolid.hxx>
#include<TopoDS_TVertex.hxx>
#include<TopoDS_TWire.hxx>
#include<TopoDS_UnCompatibleShapes.hxx>
#include<TopoDS_Vertex.hxx>
#include<TopoDS_Wire.hxx>
#include<Standard.hxx>
#include<Standard_AbortiveTransaction.hxx>
#include<Standard_Address.hxx>
#include<Standard_AncestorIterator.hxx>
#include<Standard_Assert.hxx>
#include<Standard_Atomic.hxx>
#include<Standard_Boolean.hxx>
#include<Standard_Byte.hxx>
#include<Standard_Character.hxx>
#include<Standard_ConstructionError.hxx>
#include<Standard_CString.hxx>
#include<Standard_DefineAlloc.hxx>
#include<Standard_DefineException.hxx>
#include<Standard_DefineHandle.hxx>
#include<Standard_DimensionError.hxx>
#include<Standard_DimensionMismatch.hxx>
#include<Standard_DivideByZero.hxx>
#include<Standard_DomainError.hxx>
#include<Standard_ErrorHandler.hxx>
#include<Standard_ErrorHandlerCallback.hxx>
#include<Standard_ExtCharacter.hxx>
#include<Standard_ExtString.hxx>
#include<Standard_Failure.hxx>
#include<Standard_GUID.hxx>
#include<Standard_HandlerStatus.hxx>
#include<Standard_ImmutableObject.hxx>
#include<Standard_Integer.hxx>
#include<Standard_InternalType.hxx>
#include<Standard_IStream.hxx>
#include<Standard_JmpBuf.hxx>
#include<Standard_KindOfType.hxx>
#include<Standard_LicenseError.hxx>
#include<Standard_LicenseNotFound.hxx>
#include<Standard_Macro.hxx>
#include<Standard_math.hxx>
#include<Standard_MMgrOpt.hxx>
#include<Standard_MMgrRaw.hxx>
#include<Standard_MMgrRoot.hxx>
#include<Standard_MMgrTBBalloc.hxx>
#include<Standard_MultiplyDefined.hxx>
#include<Standard_Mutex.hxx>
#include<Standard_NegativeValue.hxx>
#include<Standard_NoMoreObject.hxx>
#include<Standard_NoSuchObject.hxx>
#include<Standard_NotImplemented.hxx>
#include<Standard_NullObject.hxx>
#include<Standard_NullValue.hxx>
#include<Standard_NumericError.hxx>
#include<Standard_OStream.hxx>
#include<Standard_OutOfMemory.hxx>
#include<Standard_OutOfRange.hxx>
#include<Standard_Overflow.hxx>
#include<Standard_PByte.hxx>
#include<Standard_PCharacter.hxx>
#include<Standard_PErrorHandler.hxx>
#include<Standard_Persistent.hxx>
#include<Standard_Persistent_proto.hxx>
#include<Standard_PExtCharacter.hxx>
#include<Standard_PrimitiveTypes.hxx>
#include<Standard_ProgramError.hxx>
#include<Standard_RangeError.hxx>
#include<Standard_Real.hxx>
#include<Standard_ShortReal.hxx>
#include<Standard_Size.hxx>
#include<Standard_SStream.hxx>
#include<Standard_Storable.hxx>
#include<Standard_Stream.hxx>
#include<Standard_ThreadId.hxx>
#include<Standard_Time.hxx>
#include<Standard_TooManyUsers.hxx>
#include<Standard_Transient.hxx>
#include<Standard_Transient_proto.hxx>
#include<Standard_Type.hxx>
#include<Standard_TypeDef.hxx>
#include<Standard_TypeMismatch.hxx>
#include<Standard_Underflow.hxx>
#include<Standard_UUID.hxx>
#include<Standard_Version.hxx>
#include<Standard_WayOfLife.hxx>
#include<Standard_values.h>
#include<StepShape_AdvancedBrepShapeRepresentation.hxx>
#include<StepShape_AdvancedFace.hxx>
#include<StepShape_AngleRelator.hxx>
#include<StepShape_AngularLocation.hxx>
#include<StepShape_AngularSize.hxx>
#include<StepShape_Array1OfConnectedEdgeSet.hxx>
#include<StepShape_Array1OfConnectedFaceSet.hxx>
#include<StepShape_Array1OfEdge.hxx>
#include<StepShape_Array1OfFace.hxx>
#include<StepShape_Array1OfFaceBound.hxx>
#include<StepShape_Array1OfGeometricSetSelect.hxx>
#include<StepShape_Array1OfOrientedClosedShell.hxx>
#include<StepShape_Array1OfOrientedEdge.hxx>
#include<StepShape_Array1OfShell.hxx>
#include<StepShape_Array1OfValueQualifier.hxx>
#include<StepShape_Block.hxx>
#include<StepShape_BooleanOperand.hxx>
#include<StepShape_BooleanOperator.hxx>
#include<StepShape_BooleanResult.hxx>
#include<StepShape_BoxDomain.hxx>
#include<StepShape_BoxedHalfSpace.hxx>
#include<StepShape_BrepWithVoids.hxx>
#include<StepShape_ClosedShell.hxx>
#include<StepShape_CompoundShapeRepresentation.hxx>
#include<StepShape_ConnectedEdgeSet.hxx>
#include<StepShape_ConnectedFaceSet.hxx>
#include<StepShape_ConnectedFaceShapeRepresentation.hxx>
#include<StepShape_ConnectedFaceSubSet.hxx>
#include<StepShape_ContextDependentShapeRepresentation.hxx>
#include<StepShape_CsgPrimitive.hxx>
#include<StepShape_CsgSelect.hxx>
#include<StepShape_CsgShapeRepresentation.hxx>
#include<StepShape_CsgSolid.hxx>
#include<StepShape_DefinitionalRepresentationAndShapeRepresentation.hxx>
#include<StepShape_DimensionalCharacteristic.hxx>
#include<StepShape_DimensionalCharacteristicRepresentation.hxx>
#include<StepShape_DimensionalLocation.hxx>
#include<StepShape_DimensionalLocationWithPath.hxx>
#include<StepShape_DimensionalSize.hxx>
#include<StepShape_DimensionalSizeWithPath.hxx>
#include<StepShape_DirectedDimensionalLocation.hxx>
#include<StepShape_Edge.hxx>
#include<StepShape_EdgeBasedWireframeModel.hxx>
#include<StepShape_EdgeBasedWireframeShapeRepresentation.hxx>
#include<StepShape_EdgeCurve.hxx>
#include<StepShape_EdgeLoop.hxx>
#include<StepShape_ExtrudedAreaSolid.hxx>
#include<StepShape_ExtrudedFaceSolid.hxx>
#include<StepShape_Face.hxx>
#include<StepShape_FaceBasedSurfaceModel.hxx>
#include<StepShape_FaceBound.hxx>
#include<StepShape_FaceOuterBound.hxx>
#include<StepShape_FaceSurface.hxx>
#include<StepShape_FacetedBrep.hxx>
#include<StepShape_FacetedBrepAndBrepWithVoids.hxx>
#include<StepShape_FacetedBrepShapeRepresentation.hxx>
#include<StepShape_GeometricallyBoundedSurfaceShapeRepresentation.hxx>
#include<StepShape_GeometricallyBoundedWireframeShapeRepresentation.hxx>
#include<StepShape_GeometricCurveSet.hxx>
#include<StepShape_GeometricSet.hxx>
#include<StepShape_GeometricSetSelect.hxx>
#include<StepShape_HalfSpaceSolid.hxx>
#include<StepShape_HArray1OfConnectedEdgeSet.hxx>
#include<StepShape_HArray1OfConnectedFaceSet.hxx>
#include<StepShape_HArray1OfEdge.hxx>
#include<StepShape_HArray1OfFace.hxx>
#include<StepShape_HArray1OfFaceBound.hxx>
#include<StepShape_HArray1OfGeometricSetSelect.hxx>
#include<StepShape_HArray1OfOrientedClosedShell.hxx>
#include<StepShape_HArray1OfOrientedEdge.hxx>
#include<StepShape_HArray1OfShell.hxx>
#include<StepShape_HArray1OfValueQualifier.hxx>
#include<StepShape_LimitsAndFits.hxx>
#include<StepShape_Loop.hxx>
#include<StepShape_LoopAndPath.hxx>
#include<StepShape_ManifoldSolidBrep.hxx>
#include<StepShape_ManifoldSurfaceShapeRepresentation.hxx>
#include<StepShape_MeasureQualification.hxx>
#include<StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem.hxx>
#include<StepShape_NonManifoldSurfaceShapeRepresentation.hxx>
#include<StepShape_OpenShell.hxx>
#include<StepShape_OrientedClosedShell.hxx>
#include<StepShape_OrientedEdge.hxx>
#include<StepShape_OrientedFace.hxx>
#include<StepShape_OrientedOpenShell.hxx>
#include<StepShape_OrientedPath.hxx>
#include<StepShape_Path.hxx>
#include<StepShape_PlusMinusTolerance.hxx>
#include<StepShape_PointRepresentation.hxx>
#include<StepShape_PolyLoop.hxx>
#include<StepShape_PrecisionQualifier.hxx>
#include<StepShape_QualifiedRepresentationItem.hxx>
#include<StepShape_ReversibleTopologyItem.hxx>
#include<StepShape_RevolvedAreaSolid.hxx>
#include<StepShape_RevolvedFaceSolid.hxx>
#include<StepShape_RightAngularWedge.hxx>
#include<StepShape_RightCircularCone.hxx>
#include<StepShape_RightCircularCylinder.hxx>
#include<StepShape_SeamEdge.hxx>
#include<StepShape_ShapeDefinitionRepresentation.hxx>
#include<StepShape_ShapeDimensionRepresentation.hxx>
#include<StepShape_ShapeRepresentation.hxx>
#include<StepShape_ShapeRepresentationWithParameters.hxx>
#include<StepShape_Shell.hxx>
#include<StepShape_ShellBasedSurfaceModel.hxx>
#include<StepShape_SolidModel.hxx>
#include<StepShape_SolidReplica.hxx>
#include<StepShape_Sphere.hxx>
#include<StepShape_Subedge.hxx>
#include<StepShape_Subface.hxx>
#include<StepShape_SurfaceModel.hxx>
#include<StepShape_SweptAreaSolid.hxx>
#include<StepShape_SweptFaceSolid.hxx>
#include<StepShape_ToleranceMethodDefinition.hxx>
#include<StepShape_ToleranceValue.hxx>
#include<StepShape_TopologicalRepresentationItem.hxx>
#include<StepShape_Torus.hxx>
#include<StepShape_TransitionalShapeRepresentation.hxx>
#include<StepShape_TypeQualifier.hxx>
#include<StepShape_ValueQualifier.hxx>
#include<StepShape_Vertex.hxx>
#include<StepShape_VertexLoop.hxx>
#include<StepShape_VertexPoint.hxx>
#include<TColStd_Array1OfAsciiString.hxx>
#include<TColStd_Array1OfBoolean.hxx>
#include<TColStd_Array1OfByte.hxx>
#include<TColStd_Array1OfCharacter.hxx>
#include<TColStd_Array1OfExtendedString.hxx>
#include<TColStd_Array1OfInteger.hxx>
#include<TColStd_Array1OfListOfInteger.hxx>
#include<TColStd_Array1OfReal.hxx>
#include<TColStd_Array1OfTransient.hxx>
#include<TColStd_Array2OfBoolean.hxx>
#include<TColStd_Array2OfCharacter.hxx>
#include<TColStd_Array2OfInteger.hxx>
#include<TColStd_Array2OfReal.hxx>
#include<TColStd_Array2OfTransient.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfAsciiStringInteger.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfIntegerInteger.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfIntegerReal.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfIntegerTransient.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfStringInteger.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfTransientTransient.hxx>
#include<TColStd_DataMapNodeOfDataMapOfAsciiStringInteger.hxx>
#include<TColStd_DataMapNodeOfDataMapOfIntegerInteger.hxx>
#include<TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger.hxx>
#include<TColStd_DataMapNodeOfDataMapOfIntegerReal.hxx>
#include<TColStd_DataMapNodeOfDataMapOfIntegerTransient.hxx>
#include<TColStd_DataMapNodeOfDataMapOfStringInteger.hxx>
#include<TColStd_DataMapNodeOfDataMapOfTransientTransient.hxx>
#include<TColStd_DataMapOfAsciiStringInteger.hxx>
#include<TColStd_DataMapOfIntegerInteger.hxx>
#include<TColStd_DataMapOfIntegerListOfInteger.hxx>
#include<TColStd_DataMapOfIntegerReal.hxx>
#include<TColStd_DataMapOfIntegerTransient.hxx>
#include<TColStd_DataMapOfStringInteger.hxx>
#include<TColStd_DataMapOfTransientTransient.hxx>
#include<TColStd_HArray1OfAsciiString.hxx>
#include<TColStd_HArray1OfBoolean.hxx>
#include<TColStd_HArray1OfByte.hxx>
#include<TColStd_HArray1OfCharacter.hxx>
#include<TColStd_HArray1OfExtendedString.hxx>
#include<TColStd_HArray1OfInteger.hxx>
#include<TColStd_HArray1OfListOfInteger.hxx>
#include<TColStd_HArray1OfReal.hxx>
#include<TColStd_HArray1OfTransient.hxx>
#include<TColStd_HArray2OfBoolean.hxx>
#include<TColStd_HArray2OfCharacter.hxx>
#include<TColStd_HArray2OfInteger.hxx>
#include<TColStd_HArray2OfReal.hxx>
#include<TColStd_HArray2OfTransient.hxx>
#include<TColStd_HPackedMapOfInteger.hxx>
#include<TColStd_HSequenceOfAsciiString.hxx>
#include<TColStd_HSequenceOfExtendedString.hxx>
#include<TColStd_HSequenceOfHAsciiString.hxx>
#include<TColStd_HSequenceOfHExtendedString.hxx>
#include<TColStd_HSequenceOfInteger.hxx>
#include<TColStd_HSequenceOfReal.hxx>
#include<TColStd_HSequenceOfTransient.hxx>
#include<TColStd_IndexedDataMapNodeOfIndexedDataMapOfTransientTransient.hxx>
#include<TColStd_IndexedDataMapOfTransientTransient.hxx>
#include<TColStd_IndexedMapNodeOfIndexedMapOfInteger.hxx>
#include<TColStd_IndexedMapNodeOfIndexedMapOfReal.hxx>
#include<TColStd_IndexedMapNodeOfIndexedMapOfTransient.hxx>
#include<TColStd_IndexedMapOfInteger.hxx>
#include<TColStd_IndexedMapOfReal.hxx>
#include<TColStd_IndexedMapOfTransient.hxx>
#include<TColStd_ListIteratorOfListOfAsciiString.hxx>
#include<TColStd_ListIteratorOfListOfInteger.hxx>
#include<TColStd_ListIteratorOfListOfReal.hxx>
#include<TColStd_ListIteratorOfListOfTransient.hxx>
#include<TColStd_ListNodeOfListOfAsciiString.hxx>
#include<TColStd_ListNodeOfListOfInteger.hxx>
#include<TColStd_ListNodeOfListOfReal.hxx>
#include<TColStd_ListNodeOfListOfTransient.hxx>
#include<TColStd_ListOfAsciiString.hxx>
#include<TColStd_ListOfInteger.hxx>
#include<TColStd_ListOfReal.hxx>
#include<TColStd_ListOfTransient.hxx>
#include<TColStd_MapIntegerHasher.hxx>
#include<TColStd_MapIteratorOfMapOfAsciiString.hxx>
#include<TColStd_MapIteratorOfMapOfInteger.hxx>
#include<TColStd_MapIteratorOfMapOfReal.hxx>
#include<TColStd_MapIteratorOfMapOfTransient.hxx>
#include<TColStd_MapIteratorOfPackedMapOfInteger.hxx>
#include<TColStd_MapOfAsciiString.hxx>
#include<TColStd_MapOfInteger.hxx>
#include<TColStd_MapOfReal.hxx>
#include<TColStd_MapOfTransient.hxx>
#include<TColStd_MapRealHasher.hxx>
#include<TColStd_MapTransientHasher.hxx>
#include<TColStd_PackedMapOfInteger.hxx>
#include<TColStd_SequenceNodeOfSequenceOfAddress.hxx>
#include<TColStd_SequenceNodeOfSequenceOfAsciiString.hxx>
#include<TColStd_SequenceNodeOfSequenceOfBoolean.hxx>
#include<TColStd_SequenceNodeOfSequenceOfExtendedString.hxx>
#include<TColStd_SequenceNodeOfSequenceOfHAsciiString.hxx>
#include<TColStd_SequenceNodeOfSequenceOfHExtendedString.hxx>
#include<TColStd_SequenceNodeOfSequenceOfInteger.hxx>
#include<TColStd_SequenceNodeOfSequenceOfReal.hxx>
#include<TColStd_SequenceNodeOfSequenceOfTransient.hxx>
#include<TColStd_SequenceOfAddress.hxx>
#include<TColStd_SequenceOfAsciiString.hxx>
#include<TColStd_SequenceOfBoolean.hxx>
#include<TColStd_SequenceOfExtendedString.hxx>
#include<TColStd_SequenceOfHAsciiString.hxx>
#include<TColStd_SequenceOfHExtendedString.hxx>
#include<TColStd_SequenceOfInteger.hxx>
#include<TColStd_SequenceOfReal.hxx>
#include<TColStd_SequenceOfTransient.hxx>
#include<TColStd_StdMapNodeOfMapOfAsciiString.hxx>
#include<TColStd_StdMapNodeOfMapOfInteger.hxx>
#include<TColStd_StdMapNodeOfMapOfReal.hxx>
#include<TColStd_StdMapNodeOfMapOfTransient.hxx>
#include<Message.hxx>
#include<Message_Algorithm.hxx>
#include<Message_ExecStatus.hxx>
#include<Message_Gravity.hxx>
#include<Message_HArrayOfMsg.hxx>
#include<Message_ListIteratorOfListOfMsg.hxx>
#include<Message_ListNodeOfListOfMsg.hxx>
#include<Message_ListOfMsg.hxx>
#include<Message_Messenger.hxx>
#include<Message_Msg.hxx>
#include<Message_MsgFile.hxx>
#include<Message_Printer.hxx>
#include<Message_PrinterOStream.hxx>
#include<Message_ProgressIndicator.hxx>
#include<Message_ProgressScale.hxx>
#include<Message_ProgressSentry.hxx>
#include<Message_SequenceNodeOfSequenceOfPrinters.hxx>
#include<Message_SequenceNodeOfSequenceOfProgressScale.hxx>
#include<Message_SequenceOfPrinters.hxx>
#include<Message_SequenceOfProgressScale.hxx>
#include<Message_Status.hxx>
#include<Message_StatusType.hxx>
#include<StepBasic_Action.hxx>
#include<StepBasic_ActionAssignment.hxx>
#include<StepBasic_ActionMethod.hxx>
#include<StepBasic_ActionRequestAssignment.hxx>
#include<StepBasic_ActionRequestSolution.hxx>
#include<StepBasic_Address.hxx>
#include<StepBasic_AheadOrBehind.hxx>
#include<StepBasic_ApplicationContext.hxx>
#include<StepBasic_ApplicationContextElement.hxx>
#include<StepBasic_ApplicationProtocolDefinition.hxx>
#include<StepBasic_Approval.hxx>
#include<StepBasic_ApprovalAssignment.hxx>
#include<StepBasic_ApprovalDateTime.hxx>
#include<StepBasic_ApprovalPersonOrganization.hxx>
#include<StepBasic_ApprovalRelationship.hxx>
#include<StepBasic_ApprovalRole.hxx>
#include<StepBasic_ApprovalStatus.hxx>
#include<StepBasic_AreaUnit.hxx>
#include<StepBasic_Array1OfApproval.hxx>
#include<StepBasic_Array1OfDerivedUnitElement.hxx>
#include<StepBasic_Array1OfDocument.hxx>
#include<StepBasic_Array1OfNamedUnit.hxx>
#include<StepBasic_Array1OfOrganization.hxx>
#include<StepBasic_Array1OfPerson.hxx>
#include<StepBasic_Array1OfProduct.hxx>
#include<StepBasic_Array1OfProductContext.hxx>
#include<StepBasic_Array1OfProductDefinition.hxx>
#include<StepBasic_Array1OfUncertaintyMeasureWithUnit.hxx>
#include<StepBasic_CalendarDate.hxx>
#include<StepBasic_Certification.hxx>
#include<StepBasic_CertificationAssignment.hxx>
#include<StepBasic_CertificationType.hxx>
#include<StepBasic_CharacterizedObject.hxx>
#include<StepBasic_Contract.hxx>
#include<StepBasic_ContractAssignment.hxx>
#include<StepBasic_ContractType.hxx>
#include<StepBasic_ConversionBasedUnit.hxx>
#include<StepBasic_ConversionBasedUnitAndAreaUnit.hxx>
#include<StepBasic_ConversionBasedUnitAndLengthUnit.hxx>
#include<StepBasic_ConversionBasedUnitAndMassUnit.hxx>
#include<StepBasic_ConversionBasedUnitAndPlaneAngleUnit.hxx>
#include<StepBasic_ConversionBasedUnitAndRatioUnit.hxx>
#include<StepBasic_ConversionBasedUnitAndSolidAngleUnit.hxx>
#include<StepBasic_ConversionBasedUnitAndTimeUnit.hxx>
#include<StepBasic_ConversionBasedUnitAndVolumeUnit.hxx>
#include<StepBasic_CoordinatedUniversalTimeOffset.hxx>
#include<StepBasic_Date.hxx>
#include<StepBasic_DateAndTime.hxx>
#include<StepBasic_DateAndTimeAssignment.hxx>
#include<StepBasic_DateAssignment.hxx>
#include<StepBasic_DateRole.hxx>
#include<StepBasic_DateTimeRole.hxx>
#include<StepBasic_DateTimeSelect.hxx>
#include<StepBasic_DerivedUnit.hxx>
#include<StepBasic_DerivedUnitElement.hxx>
#include<StepBasic_DesignContext.hxx>
#include<StepBasic_DigitalDocument.hxx>
#include<StepBasic_DimensionalExponents.hxx>
#include<StepBasic_Document.hxx>
#include<StepBasic_DocumentFile.hxx>
#include<StepBasic_DocumentProductAssociation.hxx>
#include<StepBasic_DocumentProductEquivalence.hxx>
#include<StepBasic_DocumentReference.hxx>
#include<StepBasic_DocumentRelationship.hxx>
#include<StepBasic_DocumentRepresentationType.hxx>
#include<StepBasic_DocumentType.hxx>
#include<StepBasic_DocumentUsageConstraint.hxx>
#include<StepBasic_Effectivity.hxx>
#include<StepBasic_EffectivityAssignment.hxx>
#include<StepBasic_EulerAngles.hxx>
#include<StepBasic_ExternalIdentificationAssignment.hxx>
#include<StepBasic_ExternallyDefinedItem.hxx>
#include<StepBasic_ExternalSource.hxx>
#include<StepBasic_GeneralProperty.hxx>
#include<StepBasic_Group.hxx>
#include<StepBasic_GroupAssignment.hxx>
#include<StepBasic_GroupRelationship.hxx>
#include<StepBasic_HArray1OfApproval.hxx>
#include<StepBasic_HArray1OfDerivedUnitElement.hxx>
#include<StepBasic_HArray1OfDocument.hxx>
#include<StepBasic_HArray1OfNamedUnit.hxx>
#include<StepBasic_HArray1OfOrganization.hxx>
#include<StepBasic_HArray1OfPerson.hxx>
#include<StepBasic_HArray1OfProduct.hxx>
#include<StepBasic_HArray1OfProductContext.hxx>
#include<StepBasic_HArray1OfProductDefinition.hxx>
#include<StepBasic_HArray1OfUncertaintyMeasureWithUnit.hxx>
#include<StepBasic_IdentificationAssignment.hxx>
#include<StepBasic_IdentificationRole.hxx>
#include<StepBasic_LengthMeasureWithUnit.hxx>
#include<StepBasic_LengthUnit.hxx>
#include<StepBasic_LocalTime.hxx>
#include<StepBasic_MassMeasureWithUnit.hxx>
#include<StepBasic_MassUnit.hxx>
#include<StepBasic_MeasureValueMember.hxx>
#include<StepBasic_MeasureWithUnit.hxx>
#include<StepBasic_MechanicalContext.hxx>
#include<StepBasic_NameAssignment.hxx>
#include<StepBasic_NamedUnit.hxx>
#include<StepBasic_ObjectRole.hxx>
#include<StepBasic_OrdinalDate.hxx>
#include<StepBasic_Organization.hxx>
#include<StepBasic_OrganizationalAddress.hxx>
#include<StepBasic_OrganizationAssignment.hxx>
#include<StepBasic_OrganizationRole.hxx>
#include<StepBasic_Person.hxx>
#include<StepBasic_PersonalAddress.hxx>
#include<StepBasic_PersonAndOrganization.hxx>
#include<StepBasic_PersonAndOrganizationAssignment.hxx>
#include<StepBasic_PersonAndOrganizationRole.hxx>
#include<StepBasic_PersonOrganizationSelect.hxx>
#include<StepBasic_PhysicallyModeledProductDefinition.hxx>
#include<StepBasic_PlaneAngleMeasureWithUnit.hxx>
#include<StepBasic_PlaneAngleUnit.hxx>
#include<StepBasic_Product.hxx>
#include<StepBasic_ProductCategory.hxx>
#include<StepBasic_ProductCategoryRelationship.hxx>
#include<StepBasic_ProductConceptContext.hxx>
#include<StepBasic_ProductContext.hxx>
#include<StepBasic_ProductDefinition.hxx>
#include<StepBasic_ProductDefinitionContext.hxx>
#include<StepBasic_ProductDefinitionEffectivity.hxx>
#include<StepBasic_ProductDefinitionFormation.hxx>
#include<StepBasic_ProductDefinitionFormationRelationship.hxx>
#include<StepBasic_ProductDefinitionFormationWithSpecifiedSource.hxx>
#include<StepBasic_ProductDefinitionRelationship.hxx>
#include<StepBasic_ProductDefinitionWithAssociatedDocuments.hxx>
#include<StepBasic_ProductOrFormationOrDefinition.hxx>
#include<StepBasic_ProductRelatedProductCategory.hxx>
#include<StepBasic_ProductType.hxx>
#include<StepBasic_RatioMeasureWithUnit.hxx>
#include<StepBasic_RatioUnit.hxx>
#include<StepBasic_RoleAssociation.hxx>
#include<StepBasic_RoleSelect.hxx>
#include<StepBasic_SecurityClassification.hxx>
#include<StepBasic_SecurityClassificationAssignment.hxx>
#include<StepBasic_SecurityClassificationLevel.hxx>
#include<StepBasic_SiPrefix.hxx>
#include<StepBasic_SiUnit.hxx>
#include<StepBasic_SiUnitAndAreaUnit.hxx>
#include<StepBasic_SiUnitAndLengthUnit.hxx>
#include<StepBasic_SiUnitAndMassUnit.hxx>
#include<StepBasic_SiUnitAndPlaneAngleUnit.hxx>
#include<StepBasic_SiUnitAndRatioUnit.hxx>
#include<StepBasic_SiUnitAndSolidAngleUnit.hxx>
#include<StepBasic_SiUnitAndThermodynamicTemperatureUnit.hxx>
#include<StepBasic_SiUnitAndTimeUnit.hxx>
#include<StepBasic_SiUnitAndVolumeUnit.hxx>
#include<StepBasic_SiUnitName.hxx>
#include<StepBasic_SizeMember.hxx>
#include<StepBasic_SizeSelect.hxx>
#include<StepBasic_SolidAngleMeasureWithUnit.hxx>
#include<StepBasic_SolidAngleUnit.hxx>
#include<StepBasic_Source.hxx>
#include<StepBasic_SourceItem.hxx>
#include<StepBasic_ThermodynamicTemperatureUnit.hxx>
#include<StepBasic_TimeMeasureWithUnit.hxx>
#include<StepBasic_TimeUnit.hxx>
#include<StepBasic_UncertaintyMeasureWithUnit.hxx>
#include<StepBasic_Unit.hxx>
#include<StepBasic_VersionedActionRequest.hxx>
#include<StepBasic_VolumeUnit.hxx>
#include<StepBasic_WeekOfYearAndDayDate.hxx>
#include<StepGeom_Array1OfBoundaryCurve.hxx>
#include<StepGeom_Array1OfCartesianPoint.hxx>
#include<StepGeom_Array1OfCompositeCurveSegment.hxx>
#include<StepGeom_Array1OfCurve.hxx>
#include<StepGeom_Array1OfPcurveOrSurface.hxx>
#include<StepGeom_Array1OfSurfaceBoundary.hxx>
#include<StepGeom_Array1OfTrimmingSelect.hxx>
#include<StepGeom_Array2OfCartesianPoint.hxx>
#include<StepGeom_Array2OfSurfacePatch.hxx>
#include<StepGeom_Axis1Placement.hxx>
#include<StepGeom_Axis2Placement.hxx>
#include<StepGeom_Axis2Placement2d.hxx>
#include<StepGeom_Axis2Placement3d.hxx>
#include<StepGeom_BezierCurve.hxx>
#include<StepGeom_BezierCurveAndRationalBSplineCurve.hxx>
#include<StepGeom_BezierSurface.hxx>
#include<StepGeom_BezierSurfaceAndRationalBSplineSurface.hxx>
#include<StepGeom_BoundaryCurve.hxx>
#include<StepGeom_BoundedCurve.hxx>
#include<StepGeom_BoundedSurface.hxx>
#include<StepGeom_BSplineCurve.hxx>
#include<StepGeom_BSplineCurveForm.hxx>
#include<StepGeom_BSplineCurveWithKnots.hxx>
#include<StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve.hxx>
#include<StepGeom_BSplineSurface.hxx>
#include<StepGeom_BSplineSurfaceForm.hxx>
#include<StepGeom_BSplineSurfaceWithKnots.hxx>
#include<StepGeom_BSplineSurfaceWithKnotsAndRationalBSplineSurface.hxx>
#include<StepGeom_CartesianPoint.hxx>
#include<StepGeom_CartesianTransformationOperator.hxx>
#include<StepGeom_CartesianTransformationOperator2d.hxx>
#include<StepGeom_CartesianTransformationOperator3d.hxx>
#include<StepGeom_Circle.hxx>
#include<StepGeom_CompositeCurve.hxx>
#include<StepGeom_CompositeCurveOnSurface.hxx>
#include<StepGeom_CompositeCurveSegment.hxx>
#include<StepGeom_Conic.hxx>
#include<StepGeom_ConicalSurface.hxx>
#include<StepGeom_Curve.hxx>
#include<StepGeom_CurveBoundedSurface.hxx>
#include<StepGeom_CurveOnSurface.hxx>
#include<StepGeom_CurveReplica.hxx>
#include<StepGeom_CylindricalSurface.hxx>
#include<StepGeom_DegeneratePcurve.hxx>
#include<StepGeom_DegenerateToroidalSurface.hxx>
#include<StepGeom_Direction.hxx>
#include<StepGeom_ElementarySurface.hxx>
#include<StepGeom_Ellipse.hxx>
#include<StepGeom_EvaluatedDegeneratePcurve.hxx>
#include<StepGeom_GeometricRepresentationContext.hxx>
#include<StepGeom_GeometricRepresentationContextAndGlobalUnitAssignedContext.hxx>
#include<StepGeom_GeometricRepresentationContextAndParametricRepresentationContext.hxx>
#include<StepGeom_GeometricRepresentationItem.hxx>
#include<StepGeom_GeomRepContextAndGlobUnitAssCtxAndGlobUncertaintyAssCtx.hxx>
#include<StepGeom_HArray1OfBoundaryCurve.hxx>
#include<StepGeom_HArray1OfCartesianPoint.hxx>
#include<StepGeom_HArray1OfCompositeCurveSegment.hxx>
#include<StepGeom_HArray1OfCurve.hxx>
#include<StepGeom_HArray1OfPcurveOrSurface.hxx>
#include<StepGeom_HArray1OfSurfaceBoundary.hxx>
#include<StepGeom_HArray1OfTrimmingSelect.hxx>
#include<StepGeom_HArray2OfCartesianPoint.hxx>
#include<StepGeom_HArray2OfSurfacePatch.hxx>
#include<StepGeom_Hyperbola.hxx>
#include<StepGeom_IntersectionCurve.hxx>
#include<StepGeom_KnotType.hxx>
#include<StepGeom_Line.hxx>
#include<StepGeom_OffsetCurve3d.hxx>
#include<StepGeom_OffsetSurface.hxx>
#include<StepGeom_OrientedSurface.hxx>
#include<StepGeom_OuterBoundaryCurve.hxx>
#include<StepGeom_Parabola.hxx>
#include<StepGeom_Pcurve.hxx>
#include<StepGeom_PcurveOrSurface.hxx>
#include<StepGeom_Placement.hxx>
#include<StepGeom_Plane.hxx>
#include<StepGeom_Point.hxx>
#include<StepGeom_PointOnCurve.hxx>
#include<StepGeom_PointOnSurface.hxx>
#include<StepGeom_PointReplica.hxx>
#include<StepGeom_Polyline.hxx>
#include<StepGeom_PreferredSurfaceCurveRepresentation.hxx>
#include<StepGeom_QuasiUniformCurve.hxx>
#include<StepGeom_QuasiUniformCurveAndRationalBSplineCurve.hxx>
#include<StepGeom_QuasiUniformSurface.hxx>
#include<StepGeom_QuasiUniformSurfaceAndRationalBSplineSurface.hxx>
#include<StepGeom_RationalBSplineCurve.hxx>
#include<StepGeom_RationalBSplineSurface.hxx>
#include<StepGeom_RectangularCompositeSurface.hxx>
#include<StepGeom_RectangularTrimmedSurface.hxx>
#include<StepGeom_ReparametrisedCompositeCurveSegment.hxx>
#include<StepGeom_SeamCurve.hxx>
#include<StepGeom_SphericalSurface.hxx>
#include<StepGeom_Surface.hxx>
#include<StepGeom_SurfaceBoundary.hxx>
#include<StepGeom_SurfaceCurve.hxx>
#include<StepGeom_SurfaceCurveAndBoundedCurve.hxx>
#include<StepGeom_SurfaceOfLinearExtrusion.hxx>
#include<StepGeom_SurfaceOfRevolution.hxx>
#include<StepGeom_SurfacePatch.hxx>
#include<StepGeom_SurfaceReplica.hxx>
#include<StepGeom_SweptSurface.hxx>
#include<StepGeom_ToroidalSurface.hxx>
#include<StepGeom_TransitionCode.hxx>
#include<StepGeom_TrimmedCurve.hxx>
#include<StepGeom_TrimmingMember.hxx>
#include<StepGeom_TrimmingPreference.hxx>
#include<StepGeom_TrimmingSelect.hxx>
#include<StepGeom_UniformCurve.hxx>
#include<StepGeom_UniformCurveAndRationalBSplineCurve.hxx>
#include<StepGeom_UniformSurface.hxx>
#include<StepGeom_UniformSurfaceAndRationalBSplineSurface.hxx>
#include<StepGeom_Vector.hxx>
#include<StepGeom_VectorOrDirection.hxx>
#include<Interface_Array1OfFileParameter.hxx>
#include<Interface_Array1OfHAsciiString.hxx>
#include<Interface_BitMap.hxx>
#include<Interface_Category.hxx>
#include<Interface_Check.hxx>
#include<Interface_CheckFailure.hxx>
#include<Interface_CheckIterator.hxx>
#include<Interface_CheckStatus.hxx>
#include<Interface_CheckTool.hxx>
#include<Interface_CopyControl.hxx>
#include<Interface_CopyMap.hxx>
#include<Interface_CopyTool.hxx>
#include<Interface_DataMapIteratorOfDataMapOfTransientInteger.hxx>
#include<Interface_DataMapNodeOfDataMapOfTransientInteger.hxx>
#include<Interface_DataMapOfTransientInteger.hxx>
#include<Interface_DataState.hxx>
#include<Interface_EntityCluster.hxx>
#include<Interface_EntityIterator.hxx>
#include<Interface_EntityList.hxx>
#include<Interface_FileParameter.hxx>
#include<Interface_FileReaderData.hxx>
#include<Interface_FileReaderTool.hxx>
#include<Interface_FloatWriter.hxx>
#include<Interface_GeneralLib.hxx>
#include<Interface_GeneralModule.hxx>
#include<Interface_GlobalNodeOfGeneralLib.hxx>
#include<Interface_GlobalNodeOfReaderLib.hxx>
#include<Interface_Graph.hxx>
#include<Interface_GraphContent.hxx>
#include<Interface_GTool.hxx>
#include<Interface_HArray1OfHAsciiString.hxx>
#include<Interface_HGraph.hxx>
#include<Interface_HSequenceOfCheck.hxx>
#include<Interface_IndexedMapNodeOfIndexedMapOfAsciiString.hxx>
#include<Interface_IndexedMapOfAsciiString.hxx>
#include<Interface_InterfaceError.hxx>
#include<Interface_InterfaceMismatch.hxx>
#include<Interface_InterfaceModel.hxx>
#include<Interface_IntList.hxx>
#include<Interface_IntVal.hxx>
#include<Interface_LineBuffer.hxx>
#include<Interface_Macros.hxx>
#include<Interface_MapAsciiStringHasher.hxx>
#include<Interface_MSG.hxx>
#include<Interface_NodeOfGeneralLib.hxx>
#include<Interface_NodeOfReaderLib.hxx>
#include<Interface_ParamList.hxx>
#include<Interface_ParamSet.hxx>
#include<Interface_ParamType.hxx>
#include<Interface_Protocol.hxx>
#include<Interface_ReaderLib.hxx>
#include<Interface_ReaderModule.hxx>
#include<Interface_ReportEntity.hxx>
#include<Interface_SequenceNodeOfSequenceOfCheck.hxx>
#include<Interface_SequenceOfCheck.hxx>
#include<Interface_ShareFlags.hxx>
#include<Interface_ShareTool.hxx>
#include<Interface_SignLabel.hxx>
#include<Interface_SignType.hxx>
#include<Interface_Static.hxx>
#include<Interface_Statics.hxx>
#include<Interface_StaticSatisfies.hxx>
#include<Interface_Translates.hxx>
#include<Interface_TypedValue.hxx>
#include<Interface_UndefinedContent.hxx>
#include<Interface_ValueSatisfies.hxx>
#include<Interface_VectorOfFileParameter.hxx>
#include<Interface_Version.hxx>
#include<StepRepr_Array1OfMaterialPropertyRepresentation.hxx>
#include<StepRepr_Array1OfPropertyDefinitionRepresentation.hxx>
#include<StepRepr_Array1OfRepresentationItem.hxx>
#include<StepRepr_AssemblyComponentUsage.hxx>
#include<StepRepr_AssemblyComponentUsageSubstitute.hxx>
#include<StepRepr_CharacterizedDefinition.hxx>
#include<StepRepr_CompositeShapeAspect.hxx>
#include<StepRepr_CompoundRepresentationItem.hxx>
#include<StepRepr_ConfigurationDesign.hxx>
#include<StepRepr_ConfigurationDesignItem.hxx>
#include<StepRepr_ConfigurationEffectivity.hxx>
#include<StepRepr_ConfigurationItem.hxx>
#include<StepRepr_DataEnvironment.hxx>
#include<StepRepr_DefinitionalRepresentation.hxx>
#include<StepRepr_DerivedShapeAspect.hxx>
#include<StepRepr_DescriptiveRepresentationItem.hxx>
#include<StepRepr_Extension.hxx>
#include<StepRepr_ExternallyDefinedRepresentation.hxx>
#include<StepRepr_FunctionallyDefinedTransformation.hxx>
#include<StepRepr_GlobalUncertaintyAssignedContext.hxx>
#include<StepRepr_GlobalUnitAssignedContext.hxx>
#include<StepRepr_HArray1OfMaterialPropertyRepresentation.hxx>
#include<StepRepr_HArray1OfPropertyDefinitionRepresentation.hxx>
#include<StepRepr_HArray1OfRepresentationItem.hxx>
#include<StepRepr_HSequenceOfMaterialPropertyRepresentation.hxx>
#include<StepRepr_HSequenceOfRepresentationItem.hxx>
#include<StepRepr_ItemDefinedTransformation.hxx>
#include<StepRepr_MakeFromUsageOption.hxx>
#include<StepRepr_MappedItem.hxx>
#include<StepRepr_MaterialDesignation.hxx>
#include<StepRepr_MaterialProperty.hxx>
#include<StepRepr_MaterialPropertyRepresentation.hxx>
#include<StepRepr_MeasureRepresentationItem.hxx>
#include<StepRepr_NextAssemblyUsageOccurrence.hxx>
#include<StepRepr_ParametricRepresentationContext.hxx>
#include<StepRepr_ProductConcept.hxx>
#include<StepRepr_ProductDefinitionShape.hxx>
#include<StepRepr_ProductDefinitionUsage.hxx>
#include<StepRepr_PromissoryUsageOccurrence.hxx>
#include<StepRepr_PropertyDefinition.hxx>
#include<StepRepr_PropertyDefinitionRelationship.hxx>
#include<StepRepr_PropertyDefinitionRepresentation.hxx>
#include<StepRepr_QuantifiedAssemblyComponentUsage.hxx>
#include<StepRepr_Representation.hxx>
#include<StepRepr_RepresentationContext.hxx>
#include<StepRepr_RepresentationItem.hxx>
#include<StepRepr_RepresentationMap.hxx>
#include<StepRepr_RepresentationRelationship.hxx>
#include<StepRepr_RepresentationRelationshipWithTransformation.hxx>
#include<StepRepr_RepresentedDefinition.hxx>
#include<StepRepr_ReprItemAndLengthMeasureWithUnit.hxx>
#include<StepRepr_SequenceNodeOfSequenceOfMaterialPropertyRepresentation.hxx>
#include<StepRepr_SequenceNodeOfSequenceOfRepresentationItem.hxx>
#include<StepRepr_SequenceOfMaterialPropertyRepresentation.hxx>
#include<StepRepr_SequenceOfRepresentationItem.hxx>
#include<StepRepr_ShapeAspect.hxx>
#include<StepRepr_ShapeAspectDerivingRelationship.hxx>
#include<StepRepr_ShapeAspectRelationship.hxx>
#include<StepRepr_ShapeAspectTransition.hxx>
#include<StepRepr_ShapeDefinition.hxx>
#include<StepRepr_ShapeRepresentationRelationship.hxx>
#include<StepRepr_ShapeRepresentationRelationshipWithTransformation.hxx>
#include<StepRepr_SpecifiedHigherUsageOccurrence.hxx>
#include<StepRepr_StructuralResponseProperty.hxx>
#include<StepRepr_StructuralResponsePropertyDefinitionRepresentation.hxx>
#include<StepRepr_SuppliedPartRelationship.hxx>
#include<StepRepr_Transformation.hxx>
#include<StepRepr_ValueRange.hxx>
#include<TopLoc_Datum3D.hxx>
#include<TopLoc_IndexedMapNodeOfIndexedMapOfLocation.hxx>
#include<TopLoc_IndexedMapOfLocation.hxx>
#include<TopLoc_ItemLocation.hxx>
#include<TopLoc_Location.hxx>
#include<TopLoc_MapIteratorOfMapOfLocation.hxx>
#include<TopLoc_MapLocationHasher.hxx>
#include<TopLoc_MapOfLocation.hxx>
#include<TopLoc_SListNodeOfItemLocation.hxx>
#include<TopLoc_SListOfItemLocation.hxx>
#include<TopLoc_StdMapNodeOfMapOfLocation.hxx>
#include<TopLoc_TrsfPtr.hxx>
#include<TColgp_Array1OfCirc2d.hxx>
#include<TColgp_Array1OfDir.hxx>
#include<TColgp_Array1OfDir2d.hxx>
#include<TColgp_Array1OfLin2d.hxx>
#include<TColgp_Array1OfPnt.hxx>
#include<TColgp_Array1OfPnt2d.hxx>
#include<TColgp_Array1OfVec.hxx>
#include<TColgp_Array1OfVec2d.hxx>
#include<TColgp_Array1OfXY.hxx>
#include<TColgp_Array1OfXYZ.hxx>
#include<TColgp_Array2OfCirc2d.hxx>
#include<TColgp_Array2OfDir.hxx>
#include<TColgp_Array2OfDir2d.hxx>
#include<TColgp_Array2OfLin2d.hxx>
#include<TColgp_Array2OfPnt.hxx>
#include<TColgp_Array2OfPnt2d.hxx>
#include<TColgp_Array2OfVec.hxx>
#include<TColgp_Array2OfVec2d.hxx>
#include<TColgp_Array2OfXY.hxx>
#include<TColgp_Array2OfXYZ.hxx>
#include<TColgp_HArray1OfCirc2d.hxx>
#include<TColgp_HArray1OfDir.hxx>
#include<TColgp_HArray1OfDir2d.hxx>
#include<TColgp_HArray1OfLin2d.hxx>
#include<TColgp_HArray1OfPnt.hxx>
#include<TColgp_HArray1OfPnt2d.hxx>
#include<TColgp_HArray1OfVec.hxx>
#include<TColgp_HArray1OfVec2d.hxx>
#include<TColgp_HArray1OfXY.hxx>
#include<TColgp_HArray1OfXYZ.hxx>
#include<TColgp_HArray2OfCirc2d.hxx>
#include<TColgp_HArray2OfDir.hxx>
#include<TColgp_HArray2OfDir2d.hxx>
#include<TColgp_HArray2OfLin2d.hxx>
#include<TColgp_HArray2OfPnt.hxx>
#include<TColgp_HArray2OfPnt2d.hxx>
#include<TColgp_HArray2OfVec.hxx>
#include<TColgp_HArray2OfVec2d.hxx>
#include<TColgp_HArray2OfXY.hxx>
#include<TColgp_HArray2OfXYZ.hxx>
#include<TColgp_HSequenceOfDir.hxx>
#include<TColgp_HSequenceOfDir2d.hxx>
#include<TColgp_HSequenceOfPnt.hxx>
#include<TColgp_HSequenceOfPnt2d.hxx>
#include<TColgp_HSequenceOfVec.hxx>
#include<TColgp_HSequenceOfVec2d.hxx>
#include<TColgp_HSequenceOfXY.hxx>
#include<TColgp_HSequenceOfXYZ.hxx>
#include<TColgp_SequenceNodeOfSequenceOfArray1OfPnt2d.hxx>
#include<TColgp_SequenceNodeOfSequenceOfDir.hxx>
#include<TColgp_SequenceNodeOfSequenceOfDir2d.hxx>
#include<TColgp_SequenceNodeOfSequenceOfPnt.hxx>
#include<TColgp_SequenceNodeOfSequenceOfPnt2d.hxx>
#include<TColgp_SequenceNodeOfSequenceOfVec.hxx>
#include<TColgp_SequenceNodeOfSequenceOfVec2d.hxx>
#include<TColgp_SequenceNodeOfSequenceOfXY.hxx>
#include<TColgp_SequenceNodeOfSequenceOfXYZ.hxx>
#include<TColgp_SequenceOfArray1OfPnt2d.hxx>
#include<TColgp_SequenceOfDir.hxx>
#include<TColgp_SequenceOfDir2d.hxx>
#include<TColgp_SequenceOfPnt.hxx>
#include<TColgp_SequenceOfPnt2d.hxx>
#include<TColgp_SequenceOfVec.hxx>
#include<TColgp_SequenceOfVec2d.hxx>
#include<TColgp_SequenceOfXY.hxx>
#include<TColgp_SequenceOfXYZ.hxx>
#include<TColStd_Array1OfAsciiString.hxx>
#include<TColStd_Array1OfBoolean.hxx>
#include<TColStd_Array1OfByte.hxx>
#include<TColStd_Array1OfCharacter.hxx>
#include<TColStd_Array1OfExtendedString.hxx>
#include<TColStd_Array1OfInteger.hxx>
#include<TColStd_Array1OfListOfInteger.hxx>
#include<TColStd_Array1OfReal.hxx>
#include<TColStd_Array1OfTransient.hxx>
#include<TColStd_Array2OfBoolean.hxx>
#include<TColStd_Array2OfCharacter.hxx>
#include<TColStd_Array2OfInteger.hxx>
#include<TColStd_Array2OfReal.hxx>
#include<TColStd_Array2OfTransient.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfAsciiStringInteger.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfIntegerInteger.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfIntegerReal.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfIntegerTransient.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfStringInteger.hxx>
#include<TColStd_DataMapIteratorOfDataMapOfTransientTransient.hxx>
#include<TColStd_DataMapNodeOfDataMapOfAsciiStringInteger.hxx>
#include<TColStd_DataMapNodeOfDataMapOfIntegerInteger.hxx>
#include<TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger.hxx>
#include<TColStd_DataMapNodeOfDataMapOfIntegerReal.hxx>
#include<TColStd_DataMapNodeOfDataMapOfIntegerTransient.hxx>
#include<TColStd_DataMapNodeOfDataMapOfStringInteger.hxx>
#include<TColStd_DataMapNodeOfDataMapOfTransientTransient.hxx>
#include<TColStd_DataMapOfAsciiStringInteger.hxx>
#include<TColStd_DataMapOfIntegerInteger.hxx>
#include<TColStd_DataMapOfIntegerListOfInteger.hxx>
#include<TColStd_DataMapOfIntegerReal.hxx>
#include<TColStd_DataMapOfIntegerTransient.hxx>
#include<TColStd_DataMapOfStringInteger.hxx>
#include<TColStd_DataMapOfTransientTransient.hxx>
#include<TColStd_HArray1OfAsciiString.hxx>
#include<TColStd_HArray1OfBoolean.hxx>
#include<TColStd_HArray1OfByte.hxx>
#include<TColStd_HArray1OfCharacter.hxx>
#include<TColStd_HArray1OfExtendedString.hxx>
#include<TColStd_HArray1OfInteger.hxx>
#include<TColStd_HArray1OfListOfInteger.hxx>
#include<TColStd_HArray1OfReal.hxx>
#include<TColStd_HArray1OfTransient.hxx>
#include<TColStd_HArray2OfBoolean.hxx>
#include<TColStd_HArray2OfCharacter.hxx>
#include<TColStd_HArray2OfInteger.hxx>
#include<TColStd_HArray2OfReal.hxx>
#include<TColStd_HArray2OfTransient.hxx>
#include<TColStd_HPackedMapOfInteger.hxx>
#include<TColStd_HSequenceOfAsciiString.hxx>
#include<TColStd_HSequenceOfExtendedString.hxx>
#include<TColStd_HSequenceOfHAsciiString.hxx>
#include<TColStd_HSequenceOfHExtendedString.hxx>
#include<TColStd_HSequenceOfInteger.hxx>
#include<TColStd_HSequenceOfReal.hxx>
#include<TColStd_HSequenceOfTransient.hxx>
#include<TColStd_IndexedDataMapNodeOfIndexedDataMapOfTransientTransient.hxx>
#include<TColStd_IndexedDataMapOfTransientTransient.hxx>
#include<TColStd_IndexedMapNodeOfIndexedMapOfInteger.hxx>
#include<TColStd_IndexedMapNodeOfIndexedMapOfReal.hxx>
#include<TColStd_IndexedMapNodeOfIndexedMapOfTransient.hxx>
#include<TColStd_IndexedMapOfInteger.hxx>
#include<TColStd_IndexedMapOfReal.hxx>
#include<TColStd_IndexedMapOfTransient.hxx>
#include<TColStd_ListIteratorOfListOfAsciiString.hxx>
#include<TColStd_ListIteratorOfListOfInteger.hxx>
#include<TColStd_ListIteratorOfListOfReal.hxx>
#include<TColStd_ListIteratorOfListOfTransient.hxx>
#include<TColStd_ListNodeOfListOfAsciiString.hxx>
#include<TColStd_ListNodeOfListOfInteger.hxx>
#include<TColStd_ListNodeOfListOfReal.hxx>
#include<TColStd_ListNodeOfListOfTransient.hxx>
#include<TColStd_ListOfAsciiString.hxx>
#include<TColStd_ListOfInteger.hxx>
#include<TColStd_ListOfReal.hxx>
#include<TColStd_ListOfTransient.hxx>
#include<TColStd_MapIntegerHasher.hxx>
#include<TColStd_MapIteratorOfMapOfAsciiString.hxx>
#include<TColStd_MapIteratorOfMapOfInteger.hxx>
#include<TColStd_MapIteratorOfMapOfReal.hxx>
#include<TColStd_MapIteratorOfMapOfTransient.hxx>
#include<TColStd_MapIteratorOfPackedMapOfInteger.hxx>
#include<TColStd_MapOfAsciiString.hxx>
#include<TColStd_MapOfInteger.hxx>
#include<TColStd_MapOfReal.hxx>
#include<TColStd_MapOfTransient.hxx>
#include<TColStd_MapRealHasher.hxx>
#include<TColStd_MapTransientHasher.hxx>
#include<TColStd_PackedMapOfInteger.hxx>
#include<TColStd_SequenceNodeOfSequenceOfAddress.hxx>
#include<TColStd_SequenceNodeOfSequenceOfAsciiString.hxx>
#include<TColStd_SequenceNodeOfSequenceOfBoolean.hxx>
#include<TColStd_SequenceNodeOfSequenceOfExtendedString.hxx>
#include<TColStd_SequenceNodeOfSequenceOfHAsciiString.hxx>
#include<TColStd_SequenceNodeOfSequenceOfHExtendedString.hxx>
#include<TColStd_SequenceNodeOfSequenceOfInteger.hxx>
#include<TColStd_SequenceNodeOfSequenceOfReal.hxx>
#include<TColStd_SequenceNodeOfSequenceOfTransient.hxx>
#include<TColStd_SequenceOfAddress.hxx>
#include<TColStd_SequenceOfAsciiString.hxx>
#include<TColStd_SequenceOfBoolean.hxx>
#include<TColStd_SequenceOfExtendedString.hxx>
#include<TColStd_SequenceOfHAsciiString.hxx>
#include<TColStd_SequenceOfHExtendedString.hxx>
#include<TColStd_SequenceOfInteger.hxx>
#include<TColStd_SequenceOfReal.hxx>
#include<TColStd_SequenceOfTransient.hxx>
#include<TColStd_StdMapNodeOfMapOfAsciiString.hxx>
#include<TColStd_StdMapNodeOfMapOfInteger.hxx>
#include<TColStd_StdMapNodeOfMapOfReal.hxx>
#include<TColStd_StdMapNodeOfMapOfTransient.hxx>
#include<TCollection.hxx>
#include<TCollection_AsciiString.hxx>
#include<TCollection_BaseSequence.hxx>
#include<TCollection_BasicMap.hxx>
#include<TCollection_BasicMapIterator.hxx>
#include<TCollection_CompareOfInteger.hxx>
#include<TCollection_CompareOfReal.hxx>
#include<TCollection_ExtendedString.hxx>
#include<TCollection_HAsciiString.hxx>
#include<TCollection_HExtendedString.hxx>
#include<TCollection_MapNode.hxx>
#include<TCollection_MapNodePtr.hxx>
#include<TCollection_PrivCompareOfInteger.hxx>
#include<TCollection_PrivCompareOfReal.hxx>
#include<TCollection_SeqNode.hxx>
#include<TCollection_SeqNodePtr.hxx>
#include<TCollection_Side.hxx>
#include<Storage.hxx>
#include<Storage_ArrayOfCallBack.hxx>
#include<Storage_ArrayOfSchema.hxx>
#include<Storage_BaseDriver.hxx>
#include<Storage_BucketOfPersistent.hxx>
#include<Storage_CallBack.hxx>
#include<Storage_Container.hxx>
#include<Storage_Data.hxx>
#include<Storage_DataMapIteratorOfMapOfCallBack.hxx>
#include<Storage_DataMapIteratorOfMapOfPers.hxx>
#include<Storage_DataMapNodeOfMapOfCallBack.hxx>
#include<Storage_DataMapNodeOfMapOfPers.hxx>
#include<Storage_DefaultCallBack.hxx>
#include<Storage_Error.hxx>
#include<Storage_HArrayOfCallBack.hxx>
#include<Storage_HArrayOfSchema.hxx>
#include<Storage_HeaderData.hxx>
#include<Storage_HPArray.hxx>
#include<Storage_HSeqOfRoot.hxx>
#include<Storage_IndexedDataMapNodeOfPType.hxx>
#include<Storage_InternalData.hxx>
#include<Storage_Macros.hxx>
#include<Storage_MapOfCallBack.hxx>
#include<Storage_MapOfPers.hxx>
#include<Storage_OpenMode.hxx>
#include<Storage_PArray.hxx>
#include<Storage_Position.hxx>
#include<Storage_PType.hxx>
#include<Storage_Root.hxx>
#include<Storage_RootData.hxx>
#include<Storage_Schema.hxx>
#include<Storage_SeqOfRoot.hxx>
#include<Storage_SequenceNodeOfSeqOfRoot.hxx>
#include<Storage_SolveMode.hxx>
#include<Storage_stCONSTclCOM.hxx>
#include<Storage_StreamExtCharParityError.hxx>
#include<Storage_StreamFormatError.hxx>
#include<Storage_StreamModeError.hxx>
#include<Storage_StreamReadError.hxx>
#include<Storage_StreamTypeMismatchError.hxx>
#include<Storage_StreamWriteError.hxx>
#include<Storage_TypeData.hxx>
#include<Storage_TypedCallBack.hxx>
%};
%import TCollection.i
%import TopoDS.i
%import Standard.i
%import StepShape.i
%import TColStd.i
